   Disk Toolbox by Neil Forsyth Copyright 1988 Alchemist Software
      (A collection of useful disk utilities for Atari ST)

This program is in the Public Domain (ie. free)
Only not profit distribution is allowed.

DISCLAIMER - "I make no warranty with respect to this program, and
disclaim any implied/explicit suggestions of usefulness for any 
purpose. Use this program only if you are willing to assume all risks,
and damages,if any, arising as a result, even if it is caused by 
negligence or other fault."

Functions:

1. Examine Boot Sector

This simply reads the boot sector from drive A and presents all
its parameters in an easy to read form.

2. Change Boot sector executability

With the advent of the ST disk virus that has recently been
discovered this function may prove useful. The known germ/virus
spreads via an executable boot sector on a disk. This function
tells you if a boot sector has the checksum of an executable one
and allows you to toggle this status. Only the checksum on the
sector is altered so if you changed it and you wish you hadn't
then you can easily change it back again.

Note: Not all disks with executable boot sectors contain a virus.
Some games use this feature to boot up and DC Format uses it to
set up various features at boot time. Giving a boot sector that
doesn't contain code an executable checksum will just crash the
system at boot.

3. Examine BIOS parameter block

This function in combination with function 1 is useful to folk
who like to know what the parameters on the disk are like.
I used them a lot while writing the program.

4. Alter AUTO execution sequence

Someone once had this on their wishlist of utilities and I never
saw anyone bother to do it so here it is. This function displays
the filenames of all the PRG's in the AUTO folder on the disk.
You can then swap them in pairs to get them in the desired order.
The program only reads in the first 32 PRGs it finds. This is no
big deal since I have never seen much more than 3 programs in \AUTO.

5. Wipe FATs and Root Directory

Oddly enough this is exactly what the ST virus does! So this could
be regarded as a virus in a cage. (Friendly/tame virus anyone :-)
Wiping the file allocation tables and the root directory is
effectivly the same as dragging all the files and folders to the
trashcan but much quicker.

6. Verify Floppy Disk

After reading the boot sector to see how the disk is formatted
this function then attempts to read every sector on the disk.
As it does so it prints the side & track numbers on the screen.
Any damaged tracks are printed in reverse video. You can abort
the verify at any time by pressing escape. This can be handy
if the disk is a real gonner.

The Future:

Currently the program only uses floppy drive A (or B if Verifying)
and some people might want to use it on a hard disk. If there is
enough demand I will probably add that.

Expansions:sector editor, formatter, copier

Bug reports,Ideas,Helpful comments and pats on the back - Welcome.
"You *!&?#, your program trashed my valuable disk!" - Not welcome

Enjoy

Neil Forsyth
